--- title: "Delete department" slug: "mediaconnectcenter-deptsdelete" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/mediaconnectcenter-deptsdelete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete department Available in Classic and VPC Delete a department. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /ncloudmcc/v1/companies/{companyId}/depts/{externalKey} | ### Request headers For information about the headers common to all Media Connect Center APIs, see [Media Connect Center request headers](/docs/en/mediaconnectcenter-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `companyId` | String | Required | Integration key - Check from console: **Media Connect Center > Developers > Basic settings > Integration key** | | `externalKey` | String | Required | Department external key - See [Get department list](/docs/en/mediaconnectcenter-deptslistview). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/depts/hg-tw-dd' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Media Connect Center APIs, see [Media Connect Center response status codes](/docs/en/mediaconnectcenter-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the department is deleted along with the message `200 OK`.